import { SimpleLocalClient } from '../../core/index.js';
import type { IInsteonConfig } from './insteon.types.js';
import { insteonProfile } from './insteon.types.js';

export class InsteonClient extends SimpleLocalClient<IInsteonConfig> {
  constructor(configArg: IInsteonConfig) {
    super(insteonProfile, configArg);
  }
}
